<template>
  <div>
      <section class="sect-header">
        <div class="item-data" >
            <h1>mis consultas <span class="color-prime">enviadas</span></h1>
            <hr class="head-hr">
            <p class="slogan">Total consultas {{listMessages.length}}</p>
        </div>
       

        <div class="item">
            <ul>
                <!-- @click="enviarIndice(index)"  -->
                <!-- filteredItems es el valor de la funcion que hay en computed para cargar más datos -->
                <li v-for="(listmessage, index) in filteredItems" 
                    :key="listmessage.id_mess"  
                    class="cursor-pointer ">
                    <div class="initial-title-message">
                        <div>
                            {{index + 1}}
                            <span class="stick">|</span>  
                            <strong name="fade" >{{listmessage.subject.substr(0, numMaxSubstr)}}</strong>
                        </div>
                        <div class="other-data">
                            {{getHumanDate (listmessage.date_send_message)}}

                            <div>
                                <button v-on:click="show = index" v-if="index !== show" class="butt-show">
                                    <i class="icon-eye ico-align"></i>
                                </button>
                                <button v-on:click="show = -1" v-if="index === show" class="butt-show color-hide">
                                    <i class="icon-eye-off"></i>
                                </button>
                            </div>

                        </div>
                    </div>
                    <div class="reply-doctor" v-if="index === show">
                        <transition name="fade">
                            <span v-if="index === show">
                                <hr>
                                <h3>Asunto</h3>
                                <p>{{listmessage.subject}}</p>
                                <p>Para:{{listmessage.to_message}} {{listmessage.specialty_group}}</p>
                                <hr class="head-hr">
                                <h3 >Consulta</h3>
                                <p>{{listmessage.message}}</p>
                            </span>
                        </transition>
                    </div>
                </li>
                
                <button  @click="chargeAll += 2" v-if="listMessages.length > chargeAll" class="button-prime spacer-bott">cargar los {{listMessages.length}} mails</button>

            </ul>

        </div>

      </section>
  </div>
</template>

<script>
import moment from 'moment'

export default {
    name: 'MessagesSentEmailCustom',
    data(){
        return{
        // ocultar respuesta
        show: -1,
            
        // iniciar el numero de resultados iniciales
        chargeAll: 5
        }
    },
   computed: {
    // función para cargar más mensajes
    filteredItems() {
        return this.listMessages.slice(0, this.chargeAll)
        }
    },

    props: {
        // recibimos lista mensajes
        listMessages: Array,
        
        // En el subject mostrar sólo parte el mensaje...
        numMaxSubstr: "100",

    },
   

    methods:{
       
        enviarIndice(index){
            let dataMessage = this.listMessages[index] // datos del mensaje pulsado

            this.$emit('MessageIdEmit', dataMessage) // recogemos evento con $emit
        },
        // modificar fecha con moment
        getHumanDate : function (date) {
                return moment(date, 'YYYY-MM-DD').format('DD/MM/YYYY');
            }
    }

}
</script>

<style scoped>

.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
    opacity: 0;
}

.item {
  flex: 1;

}
.item-data {
      flex: 0.5;
      margin-bottom: 2rem;

}
.sect-header {
    display: flex;
    flex-direction: column;
    margin-bottom: 2rem;
}
/* .messages {
    padding:2rem 0
} */
li {
    list-style: none;
    text-align: left;
    border-radius: 4px;
    padding:var(--spacer-15) 1rem;
    margin:0.4rem;
    border: 1px solid var( --color-general-whitesmoke);
    border-left: 5px solid var(--color-general-salmon);
    box-shadow: 0px 3px 8px -2px rgba(0,0,0,0.1);
    

    }

li:hover {
    /* background: var( --color-general-whitesmoke); */
    color:var(--color-general-salmon);
    animation-name: messages-list;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;

    }



.consult{
   margin-top:var(--spacer-2)
}

.initial-title-message{
    display: flex;
}

.spacer-bott{
 margin-top: var(--spacer-15);
}

.stick {
    color:var(--color-general-lightgrey);
    padding: 0 var(--spacer-05);
}
.butt-show{
    background-color:transparent;
    border: 0;
    padding-left:var(--spacer-2);
    font-size: 1rem
}
.color-hide{
        color:var(--color-general-salmon);
}

.other-data {
    display: flex;
    margin-left: auto;
    font-size: var(--font-size-075);
    color:var(--color-general-graymedium);
}
.reply-doctor{
    flex: 1;
    flex-direction:column;
    margin-top: var(--spacer-15);
    color:var(--color-general-black);;

}
.head-hr {
    margin-top: 1rem;
}
</style>